Package com.pixelmed.network

# Class ApplicationEntityMap

java.lang.Object
java.util.AbstractMap<K,V>
java.util.TreeMap
com.pixelmed.network.ApplicationEntityMap

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map`, `NavigableMap`, `SortedMap`

public class ApplicationEntityMap extends TreeMap

This class provides a list of known Application Entities, indexed by AET.

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K extends Object,V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,V extends Object>`

## Constructor Summary

Constructors
Constructor
Description
`ApplicationEntityMap()`

## Method Summary

Modifier and Type
Method
Description
`PresentationAddress`
`getPresentationAddress(String applicationEntityTitle)`
Return the presentation address of the specified AE.
`String`
`getPrimaryDeviceType(String applicationEntityTitle)`
Return the primary device type of the specified AE.
`String`
`getQueryModel(String applicationEntityTitle)`
Return the query model supported by the specified AE.
`Object`
`put(Object key, Object value)`
`void`
`put(String applicationEntityTitle, PresentationAddress presentationAddress, String queryModel, String primaryDeviceType)`
Add an entry for the specified AE.
`String`
`toString()`
Return a String representing this object's value.

### Methods inherited from class java.util.TreeMap

`ceilingEntry, ceilingKey, clear, clone, comparator, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, descendingKeySet, descendingMap, entrySet, firstEntry, firstKey, floorEntry, floorKey, forEach, get, headMap, headMap, higherEntry, higherKey, keySet, lastEntry, lastKey, lowerEntry, lowerKey, merge, navigableKeySet, pollFirstEntry, pollLastEntry, putAll, putIfAbsent, remove, replace, replace, replaceAll, size, subMap, subMap, tailMap, tailMap, values`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, isEmpty`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`equals, getOrDefault, hashCode, isEmpty, remove`

## Constructor Details

### ApplicationEntityMap

public ApplicationEntityMap()

## Method Details

### put

public void put(String applicationEntityTitle, PresentationAddress presentationAddress, String queryModel, String primaryDeviceType)

Add an entry for the specified AE.

Parameters:
  `applicationEntityTitle` - the AE to describe
  `presentationAddress` - the presentation address of the AE
  `queryModel` - the string label of the query model, or null if AE does not support queries or model is unknown
  `primaryDeviceType` - the primaryDeviceType (may be multiple comma-separated values), or null if none or unknown

### put

public Object put(Object key, Object value)

Specified by:
  `put` in interface `Map`
Overrides:
  `put` in class `TreeMap`

### getPresentationAddress

public PresentationAddress getPresentationAddress(String applicationEntityTitle)

Return the presentation address of the specified AE.

Parameters:
  `applicationEntityTitle` -
Returns:
  the presentation address, or null if no such AE

### getQueryModel

public String getQueryModel(String applicationEntityTitle)

Return the query model supported by the specified AE.

The query model string may be `NetworkApplicationProperties.StudyRootQueryModel` or `NetworkApplicationProperties.PatientRootQueryModel` or `NetworkApplicationProperties.PatientStudyOnlyQueryModel`.

Parameters:
  `applicationEntityTitle` -
Returns:
  string label of the query model, or null if no such AE or no AE does not support queries

### getPrimaryDeviceType

public String getPrimaryDeviceType(String applicationEntityTitle)

Return the primary device type of the specified AE.

Parameters:
  `applicationEntityTitle` -
Returns:
  primary device type, or null if none or not known

### toString

public String toString()

Return a String representing this object's value.

Overrides:
  `toString` in class `AbstractMap`
Returns:
  a string representation of the value of this object